paste {base} | R Documentation

## Concatenate Strings

### Description

Concatenate character vectors.

### Usage

    paste(..., sep = " ", collapse = NULL)

### Arguments

`...` | one or more R objects, to be coerced to character vectors.
`sep` | a character string to separate the terms.
`collapse` | an optional character string to separate the results.

### Details

`paste` converts its arguments to character strings, and concatenates them (separating them by the string given by `sep`). If the arguments are vectors, they are concatenated term-by-term to give a character vector result.

If a value is specified for `collapse`, the values in the result are then concatenated into a single string, with the elements being separated by the value of `collapse`.

### Value

A character vector of the concatenated values.

### See Also

`as.character`, `substr`, `nchar`, `strsplit`.

### Examples

    paste(1:12) # same as as.character(..)
    paste("A", 1:6, sep = "")
    paste("Today is", date())

[Package Contents]